Library Version 12.1.6.2

operator=
Prev | Chapter 7. Db_set | Next

## operator=

### Function Details

    const self& operator=(const self &x)

Container content assignment operator.

This function supports auto-commit.

#### Parameters

##### x

The source container whose key/data pairs will be inserted into the target container. Old content in the target container is discarded.

#### Return Value

The container x's reference.

#### See Also

http://www.cplusplus.com/reference/set/set/operator=/

### Class

db_set

Prev | Up | Next
insert | Home | value_comp